Subject: bug#17392: 24.3.90; cursor blinks faster and faster

From: Stefan Monnier <[email-masked]>
Date: Tue, 13 May 2014 16:22:45 -0400

> The code in keyboard.c is very simple: it copies the timers list, and
> then examines each timer in the copy in sequence, and invokes every
> timer that expired.  That is all.  Can you describe a scenario where
> the timer function thus invoked will not find its timer in the
> original list?  What could delete or modify the timer, and how?

How 'bout: the list contains two timers, we copy it, then run the first
which removes the second, then run the second which doesn't find itself
in the list.

        Stefan